<!-- 
This README describes the package. If you publish this package to pub.dev,
this README's contents appear on the landing page for your package.

For information about how to write a good package README, see the guide for
[writing package pages](https://dart.dev/guides/libraries/writing-package-pages). 

For general information about developing packages, see the Dart guide for
[creating packages](https://dart.dev/guides/libraries/create-library-packages)
and the Flutter guide for
[developing packages and plugins](https://flutter.dev/developing-packages). 
-->

Offers a `ResourceFutureBuilder` that handles a `Future<Resource>` and handles the result by calling
the passed methods for onSuccess, onLoading and onError depending on the state.

<!--
## Features

TODO: List what your package can do. Maybe include images, gifs, or videos.

## Getting started

TODO: List prerequisites and provide or point to information on how to start using the package.
-->
## Usage

Use a `ResourceFutureBuilder` like this: 
````dart
import 'package:flutter/material.dart';
import 'package:resource_future/resource_future.dart';
import 'package:resource_result/resource_result.dart';

final Future<Resource<int>> getSomeIntFuture = Future.value(Success(3));
// or final Future<Resource<int>> getSomeIntFuture = Future.value(Failure(Error("I failed"));

final myIntResourceFutureBuilder = ResourceFutureBuilder(
  future: getSomeIntFuture,
  success: (context, myInt) => Text("My int loaded successfully: $myInt"),
  loadingIndicator: (context) => const CircularProgressIndicator(),
  /* optional handleError: defaults to red Text with error message */
  handleError: (context, error) =>
      Text("Failed to get my int :(. ${error.message}"),
);
````
<!--
## Additional information

TODO: Tell users more about the package: where to find more information, how to contribute to the
package, how to file issues, what response they can expect from the package authors, and more.
-->